from sqlalchemy import create_engine
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
from settings import DEBUG

if DEBUG:
    DATABASE_URL = 'sqlite:///db.sqlite3'
else:
    DATABASE_URL = 'mysql+pymysql://root:mysql@localhost/users'

engine = create_engine(DATABASE_URL, echo=True)
SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)
Base = declarative_base()

def get_db():
    db = SessionLocal()
    try:
        yield db
    finally:
        db.close()
